unit GeneralOptionsForm_Unit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, INIFiles;

type
  TGeneralOptionsForm = class(TForm)
    Panel1: TPanel;
    CancelButton: TButton;
    ApplyButton: TButton;
    Label1: TLabel;
    CharTimeEdit: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    procedure CancelButtonClick(Sender: TObject);
    procedure ApplyButtonClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  GeneralOptionsForm: TGeneralOptionsForm;

implementation

uses MainForm_Unit;

{$R *.dfm}

procedure TGeneralOptionsForm.CancelButtonClick(Sender: TObject);
begin
  Close();
end;

procedure TGeneralOptionsForm.ApplyButtonClick(Sender: TObject);
var INI: TINIFile;
begin
  INI := TINIFile.Create(HomeDir + '\PROFILES\' + Profile + '.ini');
  INI.WriteString('General', 'CharTime', CharTimeEdit.Text);
  INI.Free;
  Close();
end;

procedure TGeneralOptionsForm.FormShow(Sender: TObject);
var INI: TINIFile;
begin
  INI := TINIFile.Create(HomeDir + '\PROFILES\' + Profile + '.ini');
  CharTimeEdit.Text := INI.ReadString('General', 'CharTime', '500');
  INI.Free;
end;

end.
